
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global _name	kustomize
%global package_name	github.com/kustomize/%{_name}
%global _buildhost	build-ol%{?oraclelinux}-%{?_arch}.oracle.com
%global golang_version 1.17
%define commit_hash %(git rev-parse HEAD)

Name:          	kustomize
Version:       	4.5.7
Release:        1%{?dist}
BuildArch:      x86_64
Summary:        kustomize lets you customize raw, template-free YAML files for multiple purposes, leaving the original YAML untouched and usable as is.
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/kubernetes-sigs/kustomize/kustomize
Source:         %{name}-%{version}.tar.bz2
Vendor:	        Oracle America
BuildRequires:  golang >= %{golang_version}

%description
The kustomize lets you customize raw, template-free YAML files for multiple purposes, leaving the original YAML untouched and usable as is.

%prep
%setup -q -n %{name}-%{version}

%build
export GOPATH=$(go env GOPATH)
GOPATH_SRC=$GOPATH/src/%{package_name}
%__mkdir_p $GOPATH_SRC
%__rm -r $GOPATH_SRC
%__ln_s $PWD $GOPATH_SRC
%__mkdir_p %{_builddir}/%{name}-%{version}/output/bin/

pushd $GOPATH_SRC
cd ${GOPATH_SRC}/kustomize
BUILD_DATE=${BUILD_DATE:-$( date +%Y%m%d-%H:%M:%S )}
ldflags="
        -s -X sigs.k8s.io/kustomize/api/provenance.version=%{version}
        -X sigs.k8s.io/kustomize/api/provenance.buildDate=${BUILD_DATE}
        -X sigs.k8s.io/kustomize/api/provenance.gitCommit=%{commit_hash}"
ls -l
go build -v -o %{_builddir}/%{name}-%{version}/output/bin/ \
    -ldflags "${ldflags}"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir}/ %{_builddir}/%{name}-%{version}/output/bin/kustomize

%files
%{_bindir}/kustomize
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Mon Oct 17 2022 leliyin <lelia.yin@oracle.com> - 4.5.7-1
- Added Oracle Specific Build Files.
